<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.AreaUspEfDayDataMapper">

    <resultMap type="AreaUspEfDayData" id="AreaUspEfDayDataResult">
        <result property="areaNo" column="area_no"/>
        <result property="modelNo" column="model_no"/>
        <result property="timeScale" column="time_scale"/>
        <result property="dataTime" column="data_time"/>
        <result property="nrmse" column="nrmse"/>
        <result property="nmae" column="nmae"/>
        <result property="bias" column="bias"/>
        <result property="correlationCoeff" column="correlation_coeff"/>
        <result property="accuracyRate" column="accuracy_rate"/>
        <result property="dataCount" column="data_count"/>
        <result property="dataFlag" column="data_flag"/>
    </resultMap>

    <sql id="selectAreaUspEfDayDataVo">
        select area_no, model_no, time_scale, data_time, nrmse, nmae, bias, correlation_coeff, accuracy_rate, data_count, data_flag from area_usp_ef_day_data
    </sql>

    <select id="selectAreaUspEfDayDataList" parameterType="AreaUspEfDayData" resultMap="AreaUspEfDayDataResult">
        <include refid="selectAreaUspEfDayDataVo"/>
        <where>
            <if test="nrmse != null ">and nrmse = #{nrmse}</if>
            <if test="nmae != null ">and nmae = #{nmae}</if>
            <if test="bias != null ">and bias = #{bias}</if>
            <if test="correlationCoeff != null ">and correlation_coeff = #{correlationCoeff}</if>
            <if test="accuracyRate != null ">and accuracy_rate = #{accuracyRate}</if>
            <if test="dataCount != null ">and data_count = #{dataCount}</if>
            <if test="dataFlag != null ">and data_flag = #{dataFlag}</if>
        </where>
    </select>

    <select id="selectAreaUspEfDayDataById" parameterType="Long" resultMap="AreaUspEfDayDataResult">
        <include refid="selectAreaUspEfDayDataVo"/>
        where area_no = #{areaNo}
    </select>

</mapper>